import { defineComponent,onMounted } from 'vue';
import './index.scss';
import TweenMax from 'gsap'

export default defineComponent({
    //暴露子组件属性
    props: ['title', 'titelClick'],
    setup(this, props, ctx) {
        //建立槽->接收父组件传过来的子组件
        const { slots: { val1, children } } = ctx
        const childFun1 = () => {
            alert('我是子组件方法1');
        }
        const childFun2 = () => {
            alert('我是子组件方法2');
        }
        const tweenmax=()=>{
            TweenMax.to('.from-top-dh-image', 2, { y: 30, repeat: -1 });
        };
        onMounted(() => {
            tweenmax();
          });
        //暴露子组件方法，外部才可以調用
        ctx.expose({ childFun1, childFun2 })
        return () => {
            return (
                <div class="from-box">
                    <div class="from-top">
                        <div class="from-top-left-image"></div>
                        <div class="from-top-right-image"></div>
                        <div class="from-top-t">
                            <div class="from-top-tx-image"></div>
                            <div class="from-top-text" >{props.title}</div>
                            <div class="from-top-ty-image"></div>
                        </div>
                        <div class="from-top-y2-image"></div>
                        <div class="from-top-dh-image"></div>

                    </div>
                    <div class="from-bottom">
                        <div class="from-bottom-left-image"></div>
                        <div class="from-bottom-right-image"></div>
                        <div class="from-main" >
                            {children?.()}
                        </div>
                    </div>
                </div>
            )
        }
    },
})